## dnprogs 2.52

=== Makefile ===
# Top level Makefile for DECnet programs

include Makefile.common

#
# PKGNAME determines the .tar.gz file name and also is the directory name
#
PKGNAME=dnprogs
DATE="$(shell date +'%Y%m%d')"

SUBDIRS=include libdnet libdaemon libdap librms fal dndir dnsubmit dndel \
	dncopy apps dntask dnlogin mail phone dnetd libvaxdata dnroute \
	nml multinet scripts \
	contrib/ph3-der-loewe

ifneq ($(wildcard /usr/include/fuse.h),)
SUBDIRS+=dapfs
endif

all: 	
	@set -e; for i in $(SUBDIRS); do $(MAKE) -C $$i $@ ; done

install:
	@set -e; for i in $(SUBDIRS); do $(MAKE) -C $$i $@ ; done

dep depend:	
	@set -e; for i in $(SUBDIRS); do $(MAKE) -C $$i $@ ; done

tags:	
	etags */*.cc */*.c


clean:
	rm -rf debian/tmp
	rm -f debian/files
	rm -f debian/substvars
	rm -f debian/*~
	rm -rf rpmbuild
	rm -rf RPMS
	rm -rf SOURCES
	rm -rf SRPMS
	rm -rf BUILD
	rm -f .rpm*
	rm -f build
	rm -f core
	@for i in $(SUBDIRS); do $(MAKE) -C $$i $@ ; done

debclean:
	debian/rules clean
#
# Make the distribution tar file
#
dist:	clean
	cp debian/changelog NEWS
	for i in $(SUBDIRS); do cd $$i; rm -f .depend; cd ..; done
	if [ -L ../$(PKGNAME)-$(VERSION) ]; then rm ../$(PKGNAME)-$(VERSION); fi
	if [ ! -d ../$(PKGNAME)-$(VERSION) ]; then cd ..; ln -s $(PKGNAME) $(PKGNAME)-$(VERSION); fi
	cd ..; tar -czvhf /var/tmp/$(PKGNAME)-$(VERSION).tar.gz -X$(PKGNAME)-$(VERSION)/excludes-dist $(PKGNAME)-$(VERSION)/;
	if [ -L ../$(PKGNAME)-$(VERSION) ]; then rm ../$(PKGNAME)-$(VERSION); fi

#
# Make a snapshot release
#
snap:	
	for i in $(SUBDIRS); do cd $$i; rm -f .depend; cd ..; done	
	if [ -L ../$(PKGNAME)-$(DATE) ]; then rm ../$(PKGNAME)-$(DATE); fi
	if [ ! -d ../$(PKGNAME)-$(DATE) ]; then cd ..; ln -s $(PKGNAME) $(PKGNAME)-$(DATE); fi
	cd ..; tar -czvhf /var/tmp/$(PKGNAME)-$(DATE).tar.gz -X$(PKGNAME)-$(DATE)/excludes-dist $(PKGNAME)-$(DATE);
	if [ -L ../$(PKGNAME)-$(DATE) ]; then rm ../$(PKGNAME)-$(DATE); fi

#
# Make RPM package for Red Hat systems.
#
rpm:	
	rm -rf rpmbuild BUILD RPMS SOURCES
	$(MAKE) clean
	$(MAKE) dist
	echo "%_topdir `pwd`" > .rpmmacros
	echo "`rpm --showrc|grep \^macrofiles`:`pwd`/.rpmmacros" >.rpmrc
	$(MAKE) prefix=/usr RELEASE=true -j
	$(MAKE) DESTDIR=`pwd`/rpmbuild RELEASE=true install
	find `pwd`/rpmbuild/usr/share/man/ -type f|xargs gzip -9
	ln -sf libdnet.so.2 rpmbuild/usr/lib/libdnet.so.1
	mkdir SOURCES SRPMS
	cp /var/tmp/$(PKGNAME)-$(VERSION).tar.gz SOURCES
	install -d rpmbuild/etc/rc.d/init.d
	install -d rpmbuild/usr/doc
	rm rpmbuild/usr/share/man/man1/dntype.1
	rm rpmbuild/usr/share/man/man1/dnprint.1
	rm rpmbuild/usr/share/man/man3/dnet_accept.3
	rm rpmbuild/usr/share/man/man3/dnet_reject.3
	rm rpmbuild/usr/share/man/man3/dnet_endnode.3
	rm rpmbuild/usr/share/man/man3/dnet_nextnode.3
	rm rpmbuild/usr/share/man/man8/dneigh.8
	ln -s dncopy.1.gz rpmbuild/usr/share/man/man1/dntype.1.gz
	ln -s dnsubmit.1.gz rpmbuild/usr/share/man/man1/dnprint.1.gz
	ln -s dnet_daemon.3.gz rpmbuild/usr/share/man/man3/dnet_accept.3.gz
	ln -s dnet_daemon.3.gz rpmbuild/usr/share/man/man3/dnet_reject.3.gz
	ln -s dnet_getnode.3.gz rpmbuild/usr/share/man/man3/dnet_endnode.3.gz
	ln -s dnet_getnode.3.gz rpmbuild/usr/share/man/man3/dnet_nextnode.3.gz
	ln -s dnetinfo.8.gz rpmbuild/usr/share/man/man8/dneigh.8.gz
	sed -e's@/usr/local@/usr@g' < scripts/decnet.sh >rpmbuild/etc/rc.d/init.d/decnet
	sed -e's/%%PACKAGENAME%%/$(PKGNAME)/g'                          \
	    -e's/%%VERSION%%/$(VERSION)/g'                              \
	    -e's/%%MAJOR_VERSION%%/$(MAJOR_VERSION)/g'                  \
	    -e's@%%PREFIX%%@/usr@g'                                     \
	    -e's@%%LIBPREFIX%%@/usr@g'                                  \
	    -e's@%%CONFPREFIX%%@/@g'                                    \
	   < rpm.spec >$(PKGNAME).spec
	mkdir -p BUILD RPMS/$(ARCH)
	cp README Documentation/*.README BUILD
	cp debian/changelog BUILD/NEWS
	cp libvaxdata/libvaxdata.pdf BUILD
	rpmbuild -ba --target $(ARCH) --buildroot `pwd`/rpmbuild -v --rcfile .rpmrc $(PKGNAME).spec
	rm -f $(PKGNAME).spec .rpmrc .rpmmacros

#
# Make Debian package.
#
deb:
	rm -f Documentation/*~ Documentation/*.bak
	dpkg-buildpackage -rfakeroot 
#
# Dummy rule for sub-directories
#
dummy:


# DO NOT DELETE THIS LINE -- make  depend  depends  on it.

=== apps/Makefile ===
#
# Makefile for Eduardo's & contributed apps
#
include ../Makefile.common
CC        = gcc
INCDIR	  = -I.
LDFLAGS   = 
CFLAGS   += -D_SVID_SOURCE
#------------------------------------------------------------------------------

PROG1OBJS = startnet.o
PROG2OBJS = sethost.o 
PROG4OBJS = dnping.o
PROG5OBJS = ctermd.o
PROG7OBJS = rmtermd.o
PROG8OBJS = copynodes.o

PROG1 = startnet
PROG2 = sethost
PROG4 = dnping
PROG5 = ctermd
PROG7 = rmtermd
PROG8 = dncopynodes
MANPAGES1 = sethost.1 dnping.1
MANPAGES5 = decnet.conf.5
MANPAGES8 = ctermd.8 rmtermd.8 setether.8 dncopynodes.8

ALLPROGS=$(PROG1) $(PROG2) $(PROG4) $(PROG5) $(PROG7) $(PROG8)

all: $(ALLPROGS)

$(PROG1): $(PROG1OBJS) $(DEPLIBDNET)
	$(CC) -o $@ $(CFLAGS) $(PROG1OBJS) -Wl,-Bstatic $(LIBDNET) -Wl,-Bdynamic

$(PROG2): $(PROG2OBJS) $(DEPLIBDNET)
	$(CC) -o $@ $(CFLAGS) $(PROG2OBJS) $(LIBDNET)

$(PROG3): $(PROG3OBJS)
	$(CC) -o $@ $(CFLAGS) $(PROG3OBJS)

$(PROG4): $(PROG4OBJS) $(DEPLIBDNET)
	$(CC) -o $@ $(CFLAGS) $(PROG4OBJS) $(LIBDNET)

$(PROG5): $(PROG5OBJS) $(DEPLIBDNET) $(DEPLIBDAEMON)
	$(CC) -o $@ $(CFLAGS) $(PROG5OBJS) $(LIBDAEMON) $(LIBDNET) $(PTSLIBS)

$(PROG7): $(PROG7OBJS) $(DEPLIBDNET) $(DEPLIBDAEMON)
	$(CC) -o $@ $(CFLAGS) $(PROG7OBJS) $(LIBDAEMON) $(LIBDNET) $(PTSLIBS)

$(PROG8): $(PROG8OBJS) $(DEPLIBDNET)
	$(CC) -o $@ $(CFLAGS) $(PROG8OBJS) $(LIBDNET)


dep:	
	$(CC) $(CFLAGS) -MM *.c >.depend 2>/dev/null

clean:
	rm -f $(PROG1) $(PROG2) $(PROG4) $(PROG5) $(PROG7) $(PROG8) \
	*.o *.a *.so *~ .depend

install:
	install -d $(prefix)/sbin
	install -d $(prefix)/bin
	install -d $(manprefix)/man/man1
	install -d $(manprefix)/man/man5
	install -d $(manprefix)/man/man8
	install -d $(sysconfprefix)/etc
	install -m 0755 $(STRIPBIN) $(PROG2) $(prefix)/bin
	install -m 0755 $(STRIPBIN) $(PROG4) $(prefix)/bin
	install -m 0755 $(STRIPBIN) $(PROG5) $(prefix)/sbin
	install -m 0700 setether.sh $(prefix)/sbin/setether
	install -m 0755 $(STRIPBIN) $(PROG7) $(prefix)/sbin
	install -m 0755 $(STRIPBIN) $(PROG8) $(prefix)/sbin
	install -m 0644 $(MANPAGES1) $(manprefix)/man/man1
	install -m 0644 $(MANPAGES5) $(manprefix)/man/man5
	install -m 0644 $(MANPAGES8) $(manprefix)/man/man8
	if [ ! -f $(sysconfprefix)/etc/decnet.conf ]; then \
		install -m 0644 decnet.conf $(sysconfprefix)/etc/decnet.conf.sample; \
	fi

ifeq (.depend,$(wildcard .depend))
include .depend
endif

=== dndir/Makefile ===
# Makefile for dndir

include ../Makefile.common

PROG1=dndir

MANPAGES=dndir.1

PROG1OBJS=dndir.o

all: $(PROG1)

$(PROG1): $(PROG1OBJS) $(DEPLIBS)
	$(CXX) -o $@ $(PROG1OBJS) $(LIBS)

install:
	install -d $(prefix)/bin
	install -d $(manprefix)/man/man1
	install -m 0755 $(STRIPBIN) $(PROG1) $(prefix)/bin
	install -m 0644 $(MANPAGES) $(manprefix)/man/man1

dep depend:	
	$(CXX) $(CXXFLAGS) -MM *.cc >.depend 2>/dev/null

clean:
	rm -f $(PROG1) *.o *.bak .depend


ifeq (.depend,$(wildcard .depend))
include .depend
endif

=== dntask/Makefile ===
# Makefile for dntask

include ../Makefile.common

PROG1=dntask

MANPAGES=dntask.1

PROG1OBJS=dntask.o

all: $(PROG1)

$(PROG1): $(PROG1OBJS) $(DEPLIBDNET)
	$(CC) -o $@ $(PROG1OBJS) $(LIBDNET)

install:
	install -d $(prefix)/bin
	install -d $(manprefix)/man/man1
	install -m 0755 $(STRIPBIN) $(PROG1) $(prefix)/bin
	install -m 0644 $(MANPAGES) $(manprefix)/man/man1

dep depend:	
	$(CC) $(CFLAGS) -MM *.c >.depend 2>/dev/null

clean:
	rm -f $(PROG1) *.o *.bak .depend


ifeq (.depend,$(wildcard .depend))
include .depend
endif

=== libdaemon/Makefile ===
include ../Makefile.common

LIBOBJS=dnet_daemon.o dnetlog.o
PICOBJS=dnet_daemon.po dnetlog.po
MANPAGES3=dnet_daemon.3

LIBNAME=libdnet_daemon
LIB_MINOR_VERSION=43.1
LIB_VERSION=$(MAJOR_VERSION).$(LIB_MINOR_VERSION)

SHAREDLIB=$(LIBNAME).so.$(LIB_VERSION)
STATICLIB=$(LIBNAME).a


all: $(STATICLIB) $(SHAREDLIB)

$(STATICLIB): $(LIBOBJS)
	ar -rv $@ $^

$(SHAREDLIB): $(PICOBJS)
	$(CC) $(CFLAGS) -shared -o $@ -Wl,-soname=$(LIBNAME).so.$(MAJOR_VERSION) $(LIBCRYPT) $^
	ln -sf $(SHAREDLIB) $(LIBNAME).so.$(MAJOR_VERSION)
	ln -sf $(LIBNAME).so.$(MAJOR_VERSION) $(LIBNAME).so

.c.o:
	$(CC) $(CFLAGS) $(SYSCONF_PREFIX) -c -o $@ $<

.c.po:
	$(CC) $(CFLAGS) $(SYSCONF_PREFIX) -fPIC -c -o $@ $<

dep depend:	
	$(CC) $(CFLAGS) -MM *.c >.depend 2>/dev/null

clean:
	rm -f *.o *.po *.bak $(STATICLIB) $(SHAREDLIB) $(LIBNAME).so* .depend

install:
	install -m 0644 $(STRIPBIN) $(SHAREDLIB) $(libprefix)/lib
	install -m 0644 $(STATICLIB) $(libprefix)/lib
	ln -sf $(SHAREDLIB) $(libprefix)/lib/$(LIBNAME).so.$(MAJOR_VERSION)
	ln -sf $(LIBNAME).so.$(MAJOR_VERSION) $(libprefix)/lib/$(LIBNAME).so
	install -d $(manprefix)/man/man3
	install -m 0644 $(MANPAGES3) $(manprefix)/man/man3
	ln -sf dnet_daemon.3 $(manprefix)/man/man3/dnet_accept.3
	ln -sf dnet_daemon.3 $(manprefix)/man/man3/dnet_reject.3

.SUFFIXES: .po

ifeq (.depend,$(wildcard .depend))
include .depend
endif

=== libdap/Makefile ===
include ../Makefile.common

LIBOBJS=connection.o protocol.o vaxcrc.o logging.o
PICOBJS=connection.po protocol.po vaxcrc.po logging.po

LIBNAME=libdnet-dap
LIB_MINOR_VERSION=46.0
LIB_VERSION=$(MAJOR_VERSION).$(LIB_MINOR_VERSION)

SHAREDLIB=$(LIBNAME).so.$(LIB_VERSION)
STATICLIB=$(LIBNAME).a

CXXFLAGS+=-Wno-format-y2k

all: $(STATICLIB) $(SHAREDLIB)

$(STATICLIB): $(LIBOBJS)
	ar -rv $@ $^

$(SHAREDLIB): $(PICOBJS)
	$(CXX) $(CXXFLAGS) -shared -o $@ -Wl,-soname=$(LIBNAME).so.$(MAJOR_VERSION) $^
	ln -sf $(SHAREDLIB) $(LIBNAME).so.$(MAJOR_VERSION)
	ln -sf $(LIBNAME).so.$(MAJOR_VERSION) $(LIBNAME).so

.cc.o:
	$(CXX) $(CXXFLAGS) $(SYSCONF_PREFIX) -c -o $@ $<

.cc.po:
	$(CXX) $(CXXFLAGS) $(SYSCONF_PREFIX) -fPIC -c -o $@ $<

dep depend:	
	$(CXX) $(CXXFLAGS) -MM *.cc >.depend 2>/dev/null

clean:
	rm -f *.o *.po *.bak .depend $(STATICLIB) $(SHAREDLIB) $(LIBNAME).so*

install:
	install -m 0644 $(STRIPBIN) $(SHAREDLIB) $(libprefix)/lib
	install -m 0644 $(STATICLIB) $(libprefix)/lib
	ln -sf $(SHAREDLIB) $(libprefix)/lib/$(LIBNAME).so.$(MAJOR_VERSION)
	ln -sf $(LIBNAME).so.$(MAJOR_VERSION) $(libprefix)/lib/$(LIBNAME).so

.SUFFIXES: .po

ifeq (.depend,$(wildcard .depend))
include .depend
endif

=== libdnet/Makefile ===
#--------------------------------------------------------------------------
# Makefile for libdnet
#--------------------------------------------------------------------------
include ../Makefile.common
CC=gcc
LDFLAGS=-O
AR=ar
ARFLAGS=rcs
MANPAGES3=dnet_htoa.3 dnet_ntoa.3 dnet_addr.3 dnet_conn.3 \
	getnodeadd.3 getnodebyname.3 setnodeent.3 libdnet.3 \
	getnodebyaddr.3 dnet_getnode.3 dnet_eof.3
LIBOBJS :=dnet_htoa.o dnet_ntoa.o dnet_addr.o dnet_conn.o getnodeadd.o \
	getnodebyname.o getnodebyaddr.o setnodeent.o getexecdev.o \
	getnodename.o setnodename.o dnet_getnode.o dnet_pton.o dnet_ntop.o \
	dnet_recv.o dnet_eof.o getobjectbyX.o cuserid.o
PICOBJS:=dnet_htoa.po dnet_ntoa.po dnet_addr.po dnet_conn.po getnodeadd.po \
	getnodebyname.po getnodebyaddr.po setnodeent.po getexecdev.po \
	getnodename.po setnodename.po dnet_getnode.po dnet_pton.po dnet_ntop.po\
	dnet_recv.po dnet_eof.po getobjectbyX.po cuserid.po

LIBNAME=libdnet
LIB_MINOR_VERSION=43.2
LIB_VERSION=$(MAJOR_VERSION).$(LIB_MINOR_VERSION)

SHAREDLIB=$(LIBNAME).so.$(LIB_VERSION)

all:  libdnet.a $(SHAREDLIB)

dep:

libdnet.a: ${LIBOBJS} 
	${AR} ${ARFLAGS} libdnet.a ${LIBOBJS}
  
$(SHAREDLIB): ${PICOBJS}
	${CC} ${LDFLAGS} -shared -o $@ ${PICOBJS} -Wl,-soname=libdnet.so.$(MAJOR_VERSION)
	ln -sf $(SHAREDLIB) $(LIBNAME).so.$(MAJOR_VERSION)
	ln -sf $(LIBNAME).so.$(MAJOR_VERSION) $(LIBNAME).so

.c.o:
	$(CC) $(CFLAGS) $(SYSCONF_PREFIX) -c -o $@ $<

.c.po:
	$(CC) $(CFLAGS) -fPIC -shared $(SYSCONF_PREFIX) -c -o $@ $<

install: libdnet.a $(SHAREDLIB)
	install -d $(libprefix)/lib
	install -m 0644 libdnet.a $(libprefix)/lib/libdnet.a
	install -m 0644 $(STRIPBIN) $(SHAREDLIB) $(libprefix)/lib/$(SHAREDLIB)
	ln -sf $(SHAREDLIB) $(libprefix)/lib/$(LIBNAME).so.$(MAJOR_VERSION)
	ln -sf $(SHAREDLIB) $(libprefix)/lib/$(LIBNAME).so
	ln -sf $(LIBNAME).so.$(MAJOR_VERSION) $(libprefix)/lib/$(LIBNAME).so

	install -d $(manprefix)/man/man3
	install -m 0644 $(MANPAGES3) $(manprefix)/man/man3
	ln -sf dnet_getnode.3 $(manprefix)/man/man3/dnet_nextnode.3
	ln -sf dnet_getnode.3 $(manprefix)/man/man3/dnet_endnode.3

clean:
	rm -f *.a *.o *.po *.so* *~

.SUFFIXES: .po

# DO NOT DELETE

=== multinet/Makefile ===
include ../Makefile.common

CFLAGS=-Wall -g

all:	multinet

multinet: multinet.c	
	$(CC) $(CFLAGS) $(LDFLAGS) -o multinet multinet.c 


install:
	install -d $(prefix)/sbin
	install -d $(manprefix)/man/man8
	install -m 0755 $(STRIPBIN) multinet $(prefix)/sbin
	install -m 0644 multinet.8 $(manprefix)/man/man8

dep depend:	
	$(CC) $(CFLAGS) -MM *.c >.depend 2>/dev/null

clean:	
	rm -f *.o *~ multinet

=== contrib/ph3-der-loewe/Makefile ===
include ../../Makefile.common
export TOP=../..

PROG1=dnetcat
PROG2=dnetstat

MANPAGES1=man1/dnetcat.1 man1/dnetstat.1

PROG1OBJS=dnetcat.o
PROG2OBJS=dnetstat.o

all: $(PROG1) $(PROG2)

$(PROG1): $(PROG1OBJS) $(DEPLIBDNET) $(DEPLIBDAEMON) 
	$(CC) $(CFLAGS) -o $@ $(PROG1OBJS) $(LIBDNET) $(LIBDAEMON)

$(PROG2): $(PROG2OBJS) $(DEPLIBDNET) $(UULIB)
	$(CC) $(CFLAGS) -o $@ $(PROG2OBJS) $(LIBDNET) 

install:
	install -d $(prefix)/bin
	install -d $(manprefix)/man/man1
	install -m 0755 $(STRIPBIN) $(PROG1) $(prefix)/bin
	install -m 0755 $(STRIPBIN) $(PROG2) $(prefix)/bin
	install -m 0644 $(MANPAGES1) $(manprefix)/man/man1

dep depend:	
	$(CC) $(CFLAGS) -MM *.c >.depend 2>/dev/null

clean:
	rm -f $(PROG1) $(PROG2) *.o *.bak .depend


ifeq (.depend,$(wildcard .depend))
include .depend
endif

=== debian/changelog ===
dnprogs (2.52) unstable; urgency=low

  * Done some porting to NetBSD and FreeBSD, not yet complete
    Closes: #588185
  * fixed some lintian errors

 -- Christine Caulfield <Christine.Caulfield@googlemail.com>  Thu, 08 Jul 2010 09:48:24 +0100

=== debian/control ===
Source: dnprogs
Section: net
Priority: extra
Maintainer: Christine Caulfield <christine.caulfield@googlemail.com>
Build-Depends: debhelper(>= 5), libncurses5-dev, libfuse-dev
Standards-Version: 3.5.6

Package: dnet-common
Architecture: all
Depends: debconf(>=0.5.00) | debconf-2.0, debianutils(>=1.13), module-init-tools | modutils, ${misc:Depends}
Priority: extra
Section: net
Conflicts: dnprogs
Suggests: iproute
Description: Base package for Linux DECnet
 This is the base package for Linux DECnet. It contains the necessary
 configuration files and a script to set up the MAC address of your
 ethernet card(s) at boot-up.
 .
 You will also need to be running a 2.4+ kernel and have DECnet either
 built as a module or compiled into the kernel.
 .
 To do useful work with DECnet you will need the libdnet package and
 probably also dnet-progs.

Package: dnet-progs
Architecture: any
Depends: dnet-common(>=${binary:Version}), libdnet(>=${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Priority: extra
Section: net
Description: DECnet user programs and daemons
 These tools are the application layer interface for DECnet on Linux systems.
 They provide file/terminal access facilities between OpenVMS and Linux and
 remote execution of commands.
 Also included is a Linux version of the VMS "Phone" utility and a VMSMail
 to SMTP gateway.

Package: libdnet
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: dnet-common(>=${binary:Version})
Priority: extra
Section: libs
Description: DECnet Libraries
 This package contains the libraries necessary for a functioning DECnet
 system. Most DECnet programs require these libraries to be present on
 the system. The libraries are:
 libdnet        - the basic DECnet API as featured on Ultrix(R) systems
 libdnet_daemon - useful calls for writing DECnet daemons
 libdap         - DAP (Data Access Protocol) C++ classes
 librms         - High level library for programmatic access VMS files
                  from Linux.
 .
 If you're looking for libdnet, the "dumb" networking library from
 libdnet.sf.net by Dug Song then you should install libdumbnet instead.
 Sorry for any confusion caused!

Package: libdnet-dev
Architecture: any
Depends: libdnet(>=${binary:Version}), ${misc:Depends}
Priority: extra
Section: libdevel
Description: DECnet development libraries & Headers
 Theses are the development libraries for Linux DECnet. This package contains
 the static libraries, header files and man pages for DECnet development
 on Linux.

=== debian/rules ===
#!/usr/bin/make -f

build:
	$(checkdir)

	make prefix=/usr RELEASE=true
	touch build

clean:
	$(checkdir)
	-rm -f build
	-make clean
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp `find debian/* -type d ! -name CVS ! -name po` debian/files* core
	-rm -f debian/*substvars
	dh_clean -k

binary-indep: checkroot build
	$(checkdir)
	mkdir -p debian/tmp/etc/modutils
	mkdir -p debian/tmp/etc/default
	mkdir -p debian/tmp/usr/share/doc/dnet-common
	mkdir -p debian/tmp/sbin
	echo "alias net-pf-12 decnet" > debian/tmp/etc/modutils/decnet
	echo '# DNET_INTERFACES specifies the names of ethernet interfaces whose' >> debian/tmp/etc/default/decnet
	echo '# MAC address is to be set to the DECnet node address' >> debian/tmp/etc/default/decnet
	echo "DNET_INTERFACES=\"all\"" >> debian/tmp/etc/default/decnet
	echo '# DNET_DAEMONS lists the daemons to start when dnet-progs is installed.' >> debian/tmp/etc/default/decnet
	echo "#" >> debian/tmp/etc/default/decnet
	echo "DNET_DAEMONS=\"dnetd phoned\"" >> debian/tmp/etc/default/decnet
	echo "dnroute_FLAGS=\"-v -2\"" >> debian/tmp/etc/default/decnet
	echo "# The following two lines enable routing, note that if you are" >> debian/tmp/etc/default/decnet
	echo "# being a router, then add dnroute to the DNET_DAEMONS too" >> debian/tmp/etc/default/decnet
	echo "#ROUTING=1" >> debian/tmp/etc/default/decnet
	echo "PRIORITY=32" >> debian/tmp/etc/default/decnet
	cp README debian/tmp/usr/share/doc/dnet-common
	cp Documentation/*README debian/tmp/usr/share/doc/dnet-common
	cp debian/dnet-common.README debian/tmp/usr/share/doc/dnet-common/README.Debian
	cp apps/decnet.conf debian/tmp/usr/share/doc/dnet-common/decnet.conf.sample
	make install DESTDIR=`pwd`/debian/tmp MAKEDEB=true RELEASE=true
	install -m755 apps/setether.sh debian/tmp/sbin/setether
	dh_installdirs -pdnet-common
	dh_installchangelogs  -pdnet-common
	dh_installdocs  -pdnet-common
	dh_link  -pdnet-common
	dh_installdebconf  -pdnet-common
	dh_installinit  -pdnet-common  --init-script=decnet --update-rcd-params="start\ 39\ S\ .\ \ stop\ 11\ 1\ ."
	dh_strip  -pdnet-common
	dh_movefiles  -pdnet-common
	dh_compress  -pdnet-common
	dh_fixperms  -pdnet-common
	dh_makeshlibs  -pdnet-common
	dh_shlibdeps  -pdnet-common
	dh_gencontrol  -pdnet-common
	dh_installdeb  -pdnet-common
	dh_md5sums  -pdnet-common
	dh_builddeb  -pdnet-common

binary-arch: checkroot build
	$(checkdir)
	-rm -rf debian/tmp `find debian/* -type d ! -name CVS ! -name po`
	install -d debian/tmp
	mkdir -p debian/tmp/etc/modutils
	mkdir -p debian/tmp/etc/default
	mkdir -p debian/tmp/usr/share/doc/libdnet
	mkdir -p debian/tmp/usr/share/doc/libdnet-dev
	mkdir -p debian/tmp/usr/share/doc/dnet-progs
	mkdir -p debian/tmp/sbin
	cp README debian/tmp/usr/share/doc/libdnet
	cp README debian/tmp/usr/share/doc/dnet-progs
	cp README debian/tmp/usr/share/doc/libdnet-dev
	cp Documentation/*README debian/tmp/usr/share/doc/libdnet
	cp Documentation/*README debian/tmp/usr/share/doc/dnet-progs
	cp Documentation/*README debian/tmp/usr/share/doc/libdnet-dev
	cp libvaxdata/*pdf debian/tmp/usr/share/doc/libdnet-dev
	make install DESTDIR=`pwd`/debian/tmp MAKEDEB=true RELEASE=true
	dh_installdirs -Ndnet-common
	dh_installchangelogs -Ndnet-common
	dh_installdocs -Ndnet-common
	dh_link -Ndnet-common
	dh_installdebconf -Ndnet-common
	dh_installinit  -pdnet-progs  --init-script=dnet-progs
	dh_movefiles -Ndnet-common
	dh_compress -Ndnet-common
	dh_strip -Ndnet-common
	dh_fixperms -Ndnet-common
	dh_makeshlibs -Ndnet-common
	dh_shlibdeps -Ndnet-common
	dh_gencontrol -Ndnet-common

	dh_installdeb -Ndnet-common
	dh_md5sums -Ndnet-common
	dh_builddeb -Ndnet-common


define checkdir
	test -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## dnprogs 2.55

=== Makefile ===
--- 
+++ 
@@ -8,13 +8,19 @@
 PKGNAME=dnprogs
 DATE="$(shell date +'%Y%m%d')"
 
+SUBDIRS_LINUX=apps phone dnroute nml multinet
+
 SUBDIRS=include libdnet libdaemon libdap librms fal dndir dnsubmit dndel \
-	dncopy apps dntask dnlogin mail phone dnetd libvaxdata dnroute \
-	nml multinet scripts \
-	contrib/ph3-der-loewe
+	dncopy dntask dnlogin mail dnetd libvaxdata \
+	scripts \
+	contrib/ph3-der-loewe \
+
+ifeq ($(OSNAME),Linux)
+SUBDIRS+= $(SUBDIRS_LINUX)
+endif
 
 ifneq ($(wildcard /usr/include/fuse.h),)
-SUBDIRS+=dapfs
+SUBDIRS+= dapfs
 endif
 
 all:

=== libdaemon/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 include ../Makefile.common
 
-LIBOBJS=dnet_daemon.o dnetlog.o
-PICOBJS=dnet_daemon.po dnetlog.po
+LIBOBJS=dnet_daemon.o dnetlog.o dnet_priv_check.o
+PICOBJS=dnet_daemon.po dnetlog.po dnet_priv_check.po
 MANPAGES3=dnet_daemon.3
 
 LIBNAME=libdnet_daemon

=== libdnet/Makefile ===
--- 
+++ 
@@ -24,6 +24,12 @@
 
 SHAREDLIB=$(LIBNAME).so.$(LIB_VERSION)
 
+ifeq ($(OSNAME),FreeBSD)
+COMPLIB=-lcompat
+else
+COMPLIB=
+endif
+
 all:  libdnet.a $(SHAREDLIB)
 
 dep:
@@ -32,7 +38,7 @@
 	${AR} ${ARFLAGS} libdnet.a ${LIBOBJS}
   
 $(SHAREDLIB): ${PICOBJS}
-	${CC} ${LDFLAGS} -shared -o $@ ${PICOBJS} -Wl,-soname=libdnet.so.$(MAJOR_VERSION)
+	${CC} ${LDFLAGS} -shared -o $@ ${PICOBJS} -Wl,-soname=libdnet.so.$(MAJOR_VERSION) $(COMPLIB)
 	ln -sf $(SHAREDLIB) $(LIBNAME).so.$(MAJOR_VERSION)
 	ln -sf $(LIBNAME).so.$(MAJOR_VERSION) $(LIBNAME).so

=== contrib/ph3-der-loewe/Makefile ===
--- 
+++ 
@@ -3,13 +3,15 @@
 
 PROG1=dnetcat
 PROG2=dnetstat
+PROG3=node
 
-MANPAGES1=man1/dnetcat.1 man1/dnetstat.1
+MANPAGES1=man1/dnetcat.1 man1/dnetstat.1 man1/node.1
 
 PROG1OBJS=dnetcat.o
 PROG2OBJS=dnetstat.o
+PROG3OBJS=node.o
 
-all: $(PROG1) $(PROG2)
+all: $(PROG1) $(PROG2) $(PROG3)
 
 $(PROG1): $(PROG1OBJS) $(DEPLIBDNET) $(DEPLIBDAEMON) 
 	$(CC) $(CFLAGS) -o $@ $(PROG1OBJS) $(LIBDNET) $(LIBDAEMON)
@@ -17,11 +19,15 @@
 $(PROG2): $(PROG2OBJS) $(DEPLIBDNET) $(UULIB)
 	$(CC) $(CFLAGS) -o $@ $(PROG2OBJS) $(LIBDNET) 
 
+$(PROG3): $(PROG3OBJS) $(DEPLIBDNET)
+	$(CC) $(CFLAGS) -o $@ $(PROG3OBJS) $(LIBDNET)
+
 install:
 	install -d $(prefix)/bin
 	install -d $(manprefix)/man/man1
 	install -m 0755 $(STRIPBIN) $(PROG1) $(prefix)/bin
 	install -m 0755 $(STRIPBIN) $(PROG2) $(prefix)/bin
+	install -m 0755 $(STRIPBIN) $(PROG3) $(prefix)/bin
 	install -m 0644 $(MANPAGES1) $(manprefix)/man/man1
 
 dep depend:

=== debian/changelog ===
dnprogs (2.55) unstable; urgency=low

  * Build against version 25 of FUSE
    Closes: #598831

 -- Chrissie Caulfield <chrissie@debian.org>  Tue, 5 Oct 2010 09:23:12 +0100

dnprogs (2.54) unstable; urgency=low

  * Don't build libvaxdata test program by default.
    Closes: #598752
 
 -- Chrissie Caulfield <chrissie@debian.org>  Fri, 1 Oct 2010 20:44:09 +0100

dnprogs (2.53) unstable; urgency=low

  * Done some more porting to FreeBSD, corrected Build-Depends for hurd-i386
    Closes: #588185
  * Added new tool node(1) - Node name lookup tool
  * Added support to libdnet_daemon to read /etc/nodes.{allow,deny}
  * Fixed DoS bug in dnet_daemon()
    Closes: #592015 
  * Update libvaxdata to version 1.2, fixes double conversions

 -- Christine Caulfield <Christine.Caulfield@googlemail.com>  Thu, 19 Jul 2010 10:19:32 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: dnprogs
 Section: net
 Priority: extra
-Maintainer: Christine Caulfield <christine.caulfield@googlemail.com>
-Build-Depends: debhelper(>= 5), libncurses5-dev, libfuse-dev
+Maintainer: Christine Caulfield <chrissie@debian.org>
+Uploaders: Philipp Schafft <lion@lion.leolix.org>
+Build-Depends: debhelper(>= 5), libncurses5-dev, libfuse-dev [!hurd-i386]
 Standards-Version: 3.5.6
 
 Package: dnet-common

## dnprogs 2.56

=== debian/changelog ===
dnprogs (2.56) unstable; urgency=low

  * Search for libgcrypt in 64bit library paths, too. (thanks to Kamil)
  * Package dnet-common now asks if network interfaces should be configrued
    for DECnet (Closes: #608807)
    Updated translations Debconf templates:
    - Russian translation (Closes: #610642)
    - Portuguese translation (Closes: #611034)
    - Swedish translation (Closes: #611296)
    - Czech translation (Closes: #611430)
    - Japanese translation (Closes: #611448)
    - Spanish translation (Closes: #611547)
  * Build against version 25 of FUSE
    Closes: #598831
  * Fixed some lintian warnings (typos and such).
  * Raised priority of package libdnet from extra to optional
    to comply policy manual section 2.5 "Priorities".

 -- Chrissie Caulfield <chrissie@debian.org>  Tue, 22 Feb 2011 10:38:23 +0000

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,6 @@
 Package: dnet-common
 Architecture: all
 Depends: debconf(>=0.5.00) | debconf-2.0, debianutils(>=1.13), module-init-tools | modutils, ${misc:Depends}
-Priority: extra
-Section: net
 Conflicts: dnprogs
 Suggests: iproute
 Description: Base package for Linux DECnet
@@ -27,8 +25,6 @@
 Package: dnet-progs
 Architecture: any
 Depends: dnet-common(>=${binary:Version}), libdnet(>=${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
-Priority: extra
-Section: net
 Description: DECnet user programs and daemons
  These tools are the application layer interface for DECnet on Linux systems.
  They provide file/terminal access facilities between OpenVMS and Linux and
@@ -37,10 +33,10 @@
  to SMTP gateway.
 
 Package: libdnet
+Priority: optional
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: dnet-common(>=${binary:Version})
-Priority: extra
 Section: libs
 Description: DECnet Libraries
  This package contains the libraries necessary for a functioning DECnet
@@ -59,7 +55,6 @@
 Package: libdnet-dev
 Architecture: any
 Depends: libdnet(>=${binary:Version}), ${misc:Depends}
-Priority: extra
 Section: libdevel
 Description: DECnet development libraries & Headers
  Theses are the development libraries for Linux DECnet. This package contains

## dnprogs 2.56ubuntu1

=== libdaemon/Makefile ===
--- 
+++ 
@@ -18,7 +18,7 @@
 	ar -rv $@ $^
 
 $(SHAREDLIB): $(PICOBJS)
-	$(CC) $(CFLAGS) -shared -o $@ -Wl,-soname=$(LIBNAME).so.$(MAJOR_VERSION) $(LIBCRYPT) $^
+	$(CC) $(CFLAGS) -shared -o $@ -Wl,-soname=$(LIBNAME).so.$(MAJOR_VERSION) $(LIBCRYPT) -L../libdnet/ -ldnet $^
 	ln -sf $(SHAREDLIB) $(LIBNAME).so.$(MAJOR_VERSION)
 	ln -sf $(LIBNAME).so.$(MAJOR_VERSION) $(LIBNAME).so

=== libdap/Makefile ===
--- 
+++ 
@@ -18,7 +18,7 @@
 	ar -rv $@ $^
 
 $(SHAREDLIB): $(PICOBJS)
-	$(CXX) $(CXXFLAGS) -shared -o $@ -Wl,-soname=$(LIBNAME).so.$(MAJOR_VERSION) $^
+	$(CXX) $(CXXFLAGS) -shared -o $@ -Wl,-soname=$(LIBNAME).so.$(MAJOR_VERSION) -L../libdnet/ -ldnet $^
 	ln -sf $(SHAREDLIB) $(LIBNAME).so.$(MAJOR_VERSION)
 	ln -sf $(LIBNAME).so.$(MAJOR_VERSION) $(LIBNAME).so

=== debian/changelog ===
dnprogs (2.56ubuntu1) oneiric; urgency=low

  * Fix FTBFS (LP: #749176)

 -- Jean-Louis Dupond <jean-louis@dupond.be>  Tue, 05 Jul 2011 20:14:32 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: dnprogs
 Section: net
 Priority: extra
-Maintainer: Christine Caulfield <chrissie@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Christine Caulfield <chrissie@debian.org>
 Uploaders: Philipp Schafft <lion@lion.leolix.org>
 Build-Depends: debhelper(>= 5), libncurses5-dev, libfuse-dev [!hurd-i386]
 Standards-Version: 3.5.6

=== debian/rules ===
--- 
+++ 
@@ -74,6 +74,7 @@
 	cp Documentation/*README debian/tmp/usr/share/doc/libdnet-dev
 	cp libvaxdata/*pdf debian/tmp/usr/share/doc/libdnet-dev
 	make install DESTDIR=`pwd`/debian/tmp MAKEDEB=true RELEASE=true
+	dh_lintian -a
 	dh_installdirs -Ndnet-common
 	dh_installchangelogs -Ndnet-common
 	dh_installdocs -Ndnet-common

## dnprogs 2.56.1

=== debian/changelog ===
dnprogs (2.56.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add patch from Ubuntu to fix FTBFS with libcrypt moved to the
    multiarch path.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 09 Aug 2011 11:58:06 +0200

## dnprogs 2.57

=== Makefile ===
--- 
+++ 
@@ -125,7 +125,7 @@
 #
 deb:
 	rm -f Documentation/*~ Documentation/*.bak
-	dpkg-buildpackage -rfakeroot 
+	dpkg-buildpackage -ICVS -rfakeroot 
 #
 # Dummy rule for sub-directories
 #

=== debian/changelog ===
dnprogs (2.57) unstable; urgency=medium

  [ Chrissie Caulfield ]
  * Completed removal of modutils configuration file code
  * Fix presence of CVS directories in tarball
  * updated 'clean' target

  [ Philipp Schafft ]
  * Use /dev/pts PTYs on 64 bit systems (fix makefile bug)
  * Updated translations Debconf templates:
    - German translation (Closes: #615268)
    - French translation (Closes: #615039)
    - Danish translation (Closes: #633984) (added)
    - Slovak translation (Closes: #639629) (added)
  * Look in yet another place for libcrypt (better fix than from NMUs)
  * Added a comment about the detecting of libcrypt. (See: #629664)
  * "ethernet" was capitalized in extended description (Closes: #636798)
  * Fixed some lintian warnings (mainly new rules targets).
  * dnet-common: Do not configure DECnet unless the user requested it.
    (Removed the bad workaround done by NMU) (See: #637179)
  * dnet-common: Added preinst script to clean up the broken config files from
    the last NMU. (Closes: #640861)
  * Upgraded libdnet's suggest to dnet-common to recommend again (Closes: #608807)

 -- Chrissie Caulfield <chrissie@debian.org>  Thu,  8 Sep 2011 16:05:47 +0200

dnprogs (2.56.1+nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * libdnet: Only suggest dnet-common package (Closes: #608807)
  * dnet-common: Do not change MAC addresses unless user chooses to
    configure DECnet (Closes: #637179)
  * dnet-common: Restore ability to configure DECnet name and address
    through debconf
  * dnet-common: Remove obsolete modutils configuration file

 -- Ben Hutchings <ben@decadent.org.uk>  Thu, 25 Aug 2011 14:26:12 +0100

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,20 @@
 Source: dnprogs
 Section: net
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Christine Caulfield <chrissie@debian.org>
+Maintainer: Christine Caulfield <chrissie@debian.org>
 Uploaders: Philipp Schafft <lion@lion.leolix.org>
 Build-Depends: debhelper(>= 5), libncurses5-dev, libfuse-dev [!hurd-i386]
 Standards-Version: 3.5.6
 
 Package: dnet-common
 Architecture: all
-Depends: debconf(>=0.5.00) | debconf-2.0, debianutils(>=1.13), module-init-tools | modutils, ${misc:Depends}
+Depends: debconf(>=0.5.00) | debconf-2.0, debianutils(>=1.13), module-init-tools, ${misc:Depends}
 Conflicts: dnprogs
 Suggests: iproute
 Description: Base package for Linux DECnet
  This is the base package for Linux DECnet. It contains the necessary
  configuration files and a script to set up the MAC address of your
- ethernet card(s) at boot-up.
+ Ethernet card(s) at boot-up.
  .
  You will also need to be running a 2.4+ kernel and have DECnet either
  built as a module or compiled into the kernel.

=== debian/rules ===
--- 
+++ 
@@ -6,14 +6,18 @@
 	make prefix=/usr RELEASE=true
 	touch build
 
+build-arch: build
+build-indep: build
+
 clean:
 	$(checkdir)
-	-rm -f build
+	rm -f build
 	-make clean
-	-rm -f `find . -name "*~"`
-	-rm -rf debian/tmp `find debian/* -type d ! -name CVS ! -name po` debian/files* core
-	-rm -f debian/*substvars
-	dh_clean -k
+	rm -f `find . -name "*~"`
+	rm -rf debian/tmp `find debian/* -type d ! -name CVS ! -name po` debian/files* core
+	rm -f debian/*substvars
+	dh_prep
+	dh_clean
 
 binary-indep: checkroot build
 	$(checkdir)
@@ -102,6 +106,6 @@
 
 checkroot:
 	$(checkdir)
-	test root = "`whoami`"
+	dh_testroot
 
 .PHONY: binary binary-arch binary-indep clean checkroot

## dnprogs 2.58

=== debian/changelog ===
dnprogs (2.58) unstable; urgency=medium

  * Fixed lintian warnings:
    - Fixed changelog entry of last release to have correct line length.
    - Corrected debconf dependency in dnet-common.
    - Corrected versioned dependency in dnprogs on dnet-common.
    - Updated existing overrides to match new syntax.
  * Updated linkage of libdnet_daemon and libdap. (Closes: #646353)
  * Fixed compile warning in dndir when using -Werror=format-security
    (Closes: #646613)
  * Fixed typo in debian/dnet-common.config
  * Do not try to install files into packages on FreeBSD which are
    not build on FreeBSD.
  * Link dapfs with libpthread for new libfuse compatibility
  * Updated nl.po (Closes: #652349)
  * Added pl.po (Closes: #661894)
  * Added it.po (Closes: #663135)
  * Change module-init-tools dependency to kmod (Closes: #662684)

 -- Chrissie Caulfield <chrissie@debian.org>  Sat, 10 Mar 2012 10:32:08 +0000

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,8 @@
 
 Package: dnet-common
 Architecture: all
-Depends: debconf(>=0.5.00) | debconf-2.0, debianutils(>=1.13), module-init-tools, ${misc:Depends}
+Pre-Depends: debconf(>=0.5.00) | debconf-2.0
+Depends: debianutils(>=1.13), kmod, ${misc:Depends}
 Conflicts: dnprogs
 Suggests: iproute
 Description: Base package for Linux DECnet
@@ -24,7 +25,7 @@
 
 Package: dnet-progs
 Architecture: any
-Depends: dnet-common(>=${binary:Version}), libdnet(>=${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: dnet-common(>=${source:Version}), libdnet(>=${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Description: DECnet user programs and daemons
  These tools are the application layer interface for DECnet on Linux systems.
  They provide file/terminal access facilities between OpenVMS and Linux and

## dnprogs 2.58ubuntu1

=== debian/changelog ===
dnprogs (2.58ubuntu1) precise; urgency=low

  * Change kmod dependency back to module-init-tools
    kmod is unavailable in precise

 -- Julian Taylor <jtaylor@ubuntu.com>  Sun, 11 Mar 2012 16:39:31 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: dnprogs
 Section: net
 Priority: extra
-Maintainer: Christine Caulfield <chrissie@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Christine Caulfield <chrissie@debian.org>
 Uploaders: Philipp Schafft <lion@lion.leolix.org>
 Build-Depends: debhelper(>= 5), libncurses5-dev, libfuse-dev [!hurd-i386]
 Standards-Version: 3.5.6
@@ -9,7 +10,7 @@
 Package: dnet-common
 Architecture: all
 Pre-Depends: debconf(>=0.5.00) | debconf-2.0
-Depends: debianutils(>=1.13), kmod, ${misc:Depends}
+Depends: debianutils(>=1.13), module-init-tools, ${misc:Depends}
 Conflicts: dnprogs
 Suggests: iproute
 Description: Base package for Linux DECnet

## dnprogs 2.60

=== debian/changelog ===
dnprogs (2.60) unstable; urgency=low

  * Fixed lots of Debian things that caused lintian problems and 
    upgraded policy version
    Closes: #673408
  * Fix some warnings that might be bugs
  * Incorporate NMU into main tree.

 -- Chrissie Caulfield <chrissie@debian.org>  Sat, 26 May 2012 09:54:41 +0100

dnprogs (2.59+nmu2) unstable; urgency=medium

  * NMU
  * dnprogs binaries are Linux-only, so state that. Move dnet-common back
    to binary-all. Closes: #665886

 -- Steve McIntyre <93sam@debian.org>  Mon, 21 May 2012 17:43:14 +0100

dnprogs (2.59+nmu1) unstable; urgency=low

  * NMU
  * Reduce libdnet's recommends on dnet-common to suggests again.
    Closes: #655740. Adapted patch from Jonathan Nieder.

 -- Steve McIntyre <93sam@debian.org>  Fri, 18 May 2012 13:29:53 +0100

dnprogs (2.59) unstable; urgency=low

  * Changed package dnet-common from arch all to any and
    updated dependecies. (Closes: #665886)

 -- Chrissie Caulfield <chrissie@debian.org>  Fri, 27 Apr 2012 09:30:19 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,15 @@
 Source: dnprogs
 Section: net
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Christine Caulfield <chrissie@debian.org>
+Maintainer: Chrissie Caulfield <chrissie@debian.org>
 Uploaders: Philipp Schafft <lion@lion.leolix.org>
 Build-Depends: debhelper(>= 5), libncurses5-dev, libfuse-dev [!hurd-i386]
-Standards-Version: 3.5.6
+Standards-Version: 3.9.3
 
 Package: dnet-common
 Architecture: all
 Pre-Depends: debconf(>=0.5.00) | debconf-2.0
-Depends: debianutils(>=1.13), module-init-tools, ${misc:Depends}
+Depends: debianutils(>=1.13), kmod, ${misc:Depends}
 Conflicts: dnprogs
 Suggests: iproute
 Description: Base package for Linux DECnet
@@ -25,7 +24,7 @@
  probably also dnet-progs.
 
 Package: dnet-progs
-Architecture: any
+Architecture: linux-any
 Depends: dnet-common(>=${source:Version}), libdnet(>=${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Description: DECnet user programs and daemons
  These tools are the application layer interface for DECnet on Linux systems.
@@ -36,9 +35,9 @@
 
 Package: libdnet
 Priority: optional
-Architecture: any
+Architecture: linux-any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: dnet-common(>=${binary:Version})
+Suggests: dnet-common(>=${binary:Version})
 Section: libs
 Description: DECnet Libraries
  This package contains the libraries necessary for a functioning DECnet
@@ -50,12 +49,15 @@
  librms         - High level library for programmatic access VMS files
                   from Linux.
  .
+ To do useful work with DECnet you will also need the dnet-common
+ package.
+ .
  If you're looking for libdnet, the "dumb" networking library from
  libdnet.sf.net by Dug Song then you should install libdumbnet instead.
  Sorry for any confusion caused!
 
 Package: libdnet-dev
-Architecture: any
+Architecture: linux-any
 Depends: libdnet(>=${binary:Version}), ${misc:Depends}
 Section: libdevel
 Description: DECnet development libraries & Headers

## dnprogs 2.60ubuntu1

=== debian/changelog ===
dnprogs (2.60ubuntu1) quantal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Change kmod dependency back to module-init-tools
      kmod is unavailable in quantal

 -- Raja Sekhar <genupulas@ubuntu.com>  Thu, 31 May 2012 23:12:53 +0530

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: dnprogs
 Section: net
 Priority: extra
-Maintainer: Chrissie Caulfield <chrissie@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Christine Caulfield <chrissie@debian.org>
 Uploaders: Philipp Schafft <lion@lion.leolix.org>
 Build-Depends: debhelper(>= 5), libncurses5-dev, libfuse-dev [!hurd-i386]
 Standards-Version: 3.9.3
@@ -9,7 +10,7 @@
 Package: dnet-common
 Architecture: all
 Pre-Depends: debconf(>=0.5.00) | debconf-2.0
-Depends: debianutils(>=1.13), kmod, ${misc:Depends}
+Depends: debianutils(>=1.13), module-init-tools, ${misc:Depends}
 Conflicts: dnprogs
 Suggests: iproute
 Description: Base package for Linux DECnet

## dnprogs 2.62

=== dntask/Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 all: $(PROG1)
 
 $(PROG1): $(PROG1OBJS) $(DEPLIBDNET)
-	$(CC) -o $@ $(PROG1OBJS) $(LIBDNET)
+	$(CC) $(CFLAGS) -o $@ $(PROG1OBJS) $(LIBDNET)
 
 install:
 	install -d $(prefix)/bin

=== libdnet/Makefile ===
--- 
+++ 
@@ -3,7 +3,6 @@
 #--------------------------------------------------------------------------
 include ../Makefile.common
 CC=gcc
-LDFLAGS=-O
 AR=ar
 ARFLAGS=rcs
 MANPAGES3=dnet_htoa.3 dnet_ntoa.3 dnet_addr.3 dnet_conn.3 \

=== librms/Makefile ===
include ../Makefile.common

LIBOBJS=open.o close.o readwrite.o getreply.o parse.o
PICOBJS=open.po close.po readwrite.po getreply.po parse.po
EXAMPLE1OBJS=example.o
EXAMPLE2OBJS=t_example.o

LIBNAME=librms
LIB_MINOR_VERSION=43.0
LIB_VERSION=$(MAJOR_VERSION).$(LIB_MINOR_VERSION)

EXAMPLE1=example
EXAMPLE2=t_example
EXAMPLES=$(EXAMPLE1) $(EXAMPLE2)

SHAREDLIB=$(LIBNAME).so.$(LIB_VERSION)
STATICLIB=$(LIBNAME).a
INCLUDEFILES=rms.h fabdef.h rabdef.h

CFLAGS+=-I. -I../include -I../libdap -fdollars-in-identifiers
LDFLAGS+=-Wl,-rpath-link,../libdnet -Wl,-rpath-link,../libdap

all: $(STATICLIB) $(SHAREDLIB) $(EXAMPLES)

$(STATICLIB): $(LIBOBJS)
	ar -rv $@ $^

$(SHAREDLIB): $(PICOBJS)
	$(CXX) $(CXXFLAGS) -shared -o $@ -Wl,-soname=$(LIBNAME).so.$(MAJOR_VERSION) $^ $(LIBS)
	ln -sf $(SHAREDLIB) $(LIBNAME).so.$(MAJOR_VERSION)
	ln -sf $(LIBNAME).so.$(MAJOR_VERSION) $(LIBNAME).so

$(EXAMPLE1): $(EXAMPLE1OBJS) $(SHAREDLIB)
	$(CC) $(CXXFLAGS) $(LDFLAGS) -o $@ $< -L. -lrms

$(EXAMPLE2): $(EXAMPLE2OBJS) $(SHAREDLIB)
	$(CC) $(CXXFLAGS) $(LDFLAGS) -o $@ $< -L. -lrms

.cc.o:
	$(CXX) $(CXXFLAGS) -c -o $@ $<

.cc.po:
	$(CXX) $(CXXFLAGS) -fPIC -c -o $@ $<

dep depend:	
	$(CC) $(CFLAGS) -MM *.cc *.c >.depend 2>/dev/null

clean:
	rm -f *.o *.po *.bak .depend $(STATICLIB) $(SHAREDLIB) $(LIBNAME).so* $(EXAMPLES)

install:
	install -d $(prefix)/lib
	install -m 0644 $(STRIPBIN) $(SHAREDLIB) $(libprefix)/lib
	install -m 0644 $(STATICLIB) $(libprefix)/lib
	install -d $(prefix)/include
	install -m 0644 $(INCLUDEFILES) $(libprefix)/include
	ln -sf $(SHAREDLIB) $(libprefix)/lib/$(LIBNAME).so.$(MAJOR_VERSION)
	ln -sf $(LIBNAME).so.$(MAJOR_VERSION) $(libprefix)/lib/$(LIBNAME).so

.SUFFIXES: .po

ifeq (.depend,$(wildcard .depend))
include .depend
endif

=== dnroute/netlink/Makefile ===
include ../../Makefile.common

NLOBJ=ll_map.o libnetlink.o

CFLAGS+=-Iinclude

all: libnetlink.a # libutil.a

libnetlink.a: $(NLOBJ)
	ar rcs $@ $(NLOBJ)

clean:
	rm -f $(NLOBJ) $(ADDLIB) libnetlink.a

=== debian/changelog ===
dnprogs (2.62) unstable; urgency=low

  * Don't mux fsigned-char & -funsigned-char in llogin Makefile
    Closes: #719137
  * Fix compile warning in llogin/tty.c
  * Fix crash in dncopynodes if /etc/decnet.conf did not exist
    Closes: 715829
  * Fix lintian (LSB) warnings in the init scripts

 -- Chrissie Caulfield <chrissie@debian.org>  Thu, 19 Dec 2013 14:05:33 +0000

dnprogs (2.61) unstable; urgency=low

  * Include libvaxdata/src/test.c in the distribution tarball
  * Fix password length in DAP connections. It was incorrectly set at 12 
    rather than 40
 
 -- Chrissie Caulfield <chrissie@debian.org>  Sun, 31 Mar 2013 11:18:32 +0000

dnprogs (2.60+x32) unreleased; urgency=low

  * Switch from using deprecated sysctl(2) to writing to /proc/sys.  This
    fixes a build failure on x32.

 -- Daniel Schepler <schepler@debian.org>  Tue, 12 Feb 2013 12:21:31 -0800

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,14 @@
 Source: dnprogs
 Section: net
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Christine Caulfield <chrissie@debian.org>
-Uploaders: Philipp Schafft <lion@lion.leolix.org>
+Maintainer: Chrissie Caulfield <chrissie@debian.org>
 Build-Depends: debhelper(>= 5), libncurses5-dev, libfuse-dev [!hurd-i386]
 Standards-Version: 3.9.3
 
 Package: dnet-common
 Architecture: all
 Pre-Depends: debconf(>=0.5.00) | debconf-2.0
-Depends: debianutils(>=1.13), module-init-tools, ${misc:Depends}
+Depends: debianutils(>=1.13), kmod, ${misc:Depends}
 Conflicts: dnprogs
 Suggests: iproute
 Description: Base package for Linux DECnet

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,7 @@
 #!/usr/bin/make -f
-
 build:
 	$(checkdir)
-
-	make prefix=/usr RELEASE=true
+	make prefix=/usr RELEASE=true BUILDING_DEB=true
 	touch build
 
 build-arch: build
@@ -12,7 +10,7 @@
 clean:
 	$(checkdir)
 	rm -f build
-	-make clean
+	make clean
 	rm -f `find . -name "*~"`
 	rm -rf debian/tmp `find debian/* -type d ! -name CVS ! -name po` debian/files* core
 	rm -f debian/*substvars

## dnprogs 2.64

=== debian/changelog ===
dnprogs (2.64) unstable; urgency=medium

  * QA upload.
  * Convert from the long-deprecated dh_movefiles to dh_install.  Update to
    debhelper v7 for improved dh_install defaults.
  * Convert to multiarch (closes: #756032).
  * Suggest iproute2 rather than transitional iproute (closes: #753722).

 -- Colin Watson <cjwatson@debian.org>  Mon, 28 Jul 2014 13:48:06 +0100

dnprogs (2.63) unstable; urgency=low

  * Orphan the package

 -- Chrissie Caulfield <chrissie@debian.org>  Thu,  5 Jun 2014 15:35:31 +0100

## dnprogs 2.64b1

=== debian/changelog ===
dnprogs (2.64b1) staging; urgency=high

  * No-change rebuild against libstdc++6

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 27 Aug 2015 23:22:48 +0000

## dnprogs 2.64build1

=== debian/changelog ===
dnprogs (2.64build1) vivid; urgency=medium

  * No change rebuild to get debug symbols on all architectures.

 -- Brian Murray <brian@ubuntu.com>  Tue, 27 Jan 2015 08:21:04 -0800
